﻿using Kivii;
using Kivii.DataAnnotations;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Jst.Lims.LaxiaSdk.Entities
{
    [Alias(Configs.TableNameLaXiaOrder)]
    public class LaXiaOrder:Entity
    {
        #region 第三方关联V1.0
        [ApiMember(Description = "业务Kvid")]
        [DefaultEmptyGuid]
        public Guid BizKvid { get; set; }

        [ApiMember(Description = "业务流水号")]
        [IgnoreUpdate]
        [StringLength(200), Default("")]
        public string BizId { get; set; }

        [ApiMember(Description = "业务类型,指实体类型全名称")]
        [IgnoreUpdate]
        [StringLength(200), Default("")]
        public string BizType { get; set; }
        #endregion
        [Unique]
        [ApiMember(Description = "检测单号")]
        public string CheckNumbers { get; set; }

        [ApiMember(Description = "质量检测")]
        public string Name { get; set; }

        [ApiMember(Description = "委托品牌")]
        public string CBrand { get; set; }

        [ApiMember(Description = "品牌")]
        public string Brand { get; set; }

        [ApiMember(Description = "款号")]
        public string Style { get; set; }

        [ApiMember(Description = "执行标准")]
        public string Standard { get; set; }

        [ApiMember(Description = "检测级别")]
        public string TestLevel { get; set; }

        [ApiMember(Description = "面料品质样")]
        public string Quarity { get; set; }

        [ApiMember(Description = "提供面料成分")]
        public string Contains { get; set; }

        [ApiMember(Description = "付款方式")]
        public string PayType { get; set; }

        [ApiMember(Description = "测试要求")]
        public string TestType { get; set; }

        [ApiMember(Description = "检测所编号")]
        public string TestInstitute { get; set; }

        [ApiMember(Description = "供应商")]
        public string Supplier { get; set; }

        [ApiMember(Description = "产品颜色")]
        public string Color { get; set; }

        [ApiMember(Description = "成分")]
        public string Part { get; set; }

        [ApiMember(Description = "支付金额")]
        public decimal Money { get; set; }

        [ApiMember(Description = "检测单类型")]
        public string Type { get; set; }

        [ApiMember(Description = "原报告编号")]
        public string OriginalReportNo { get; set; }

        [ApiMember(Description = "原款号")]
        public string OriginalStyle { get; set; }

        [ApiMember(Description = "采购订单号")]
        public string OriginalPO { get; set; }
    }
}
