﻿using Jst.Lims.LaxiaSdk.Entities;
using Kivii;
using Kivii.Linq;
using Kivii.Web;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Jst.Lims.LaxiaSdk.Transforms
{
    //public class LaXiaOrderCreate : RestfulCreate<LaXiaOrder>
    //{ }

    public class LaXiaOrderRead : RestfulRead<LaXiaOrder>
    { }

    public class LaXiaOrderUpdate : RestfulUpdate<LaXiaOrder>
    { }

    public class LaXiaOrderDelete : RestfulDelete<LaXiaOrder>
    {
        private IDbTransaction _trans;
        private List<LaXiaOrderDetail> _details;
        public override bool OnPreRestfulDelete(IRequest req, IResponse res, IDbConnection dbConnection, IRestfulDeleteResponse<LaXiaOrder> rtns)
        {
            _details = dbConnection.Select<LaXiaOrderDetail>(o => Sql.In(o.OrderKvid, Kvids));
            _trans = dbConnection.OpenTransaction();
            foreach (var detail in _details)
            {
                detail.Status = -1;
                detail.AddOnlyProperties(o => o.Status);
                detail.UpdateTime = DateTime.Now;
                detail.AddOnlyProperties(o => o.UpdateTime);
                dbConnection.UpdateOnly(detail);
            }
            return base.OnPreRestfulDelete(req, res, dbConnection, rtns);
        }
        public override bool OnPostRestfulDelete(IRequest req, IResponse res, IDbConnection dbConnection, IRestfulDeleteResponse<LaXiaOrder> rtns)
        {
            if (_trans != null) _trans.Commit();
            return base.OnPostRestfulDelete(req, res, dbConnection, rtns);
        }
    }

    public class LaXiaOrderQuery : RestfulQuery<LaXiaOrder>
    { }
}
